#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include "getfem_mesh.h"
#include "getfem_mesh_fem.h"

using namespace std;

int main()
{

	//////////////////////////////////////////////////////////////////////////////////////////////
	getfem::mesh *atommesh = new getfem::mesh();
	try
	{
		atommesh->read_from_file( "./atommeshin.txt" );
	}
	catch(exception e)
	{
		cout << "Error reading atommeshin.txt file. Program will now abort." << endl;
		terminate();
	};
	//Time to associate the shape functions to this mesh:
	getfem::mesh_fem atommesh_fem( *atommesh );
	atommesh_fem.set_finite_element( getfem::fem_descriptor("FEM_PK(3,1)") );
	//////////////////////////////////////////////////////////////////////////////////////////////

	cout << "Number of nodes in atommesh: " << atommesh->nb_points() << endl;
	cout << "Number of dof in atommesh_fem: " << atommesh_fem.nb_dof() << endl;
	
	delete atommesh;
}
